[Shaman] Ne démarre plus

Le projet Chakra et ses outils (KDEmod, Shaman)
Règles du forum
Chakra n'étant plus compatible avec Arch Linux, cette section du forum est vérouillée
Avatar de l’utilisateur
Ypnose
Maître du Kyudo
Messages : 1363
Inscription : sam. 01 mai 2010, 13:17
Contact :

[Shaman] Ne démarre plus

Message par Ypnose » sam. 01 mai 2010, 18:36

Bonsoir,
Lorsque je veux faire les mises à jours avec pacman Syu j'ai le droit à ce message:

Code : Tout sélectionner

:: Synchronisation des bases de données de paquets...
 kdemod-core est à jour;
 kdemod-extragear est à jour;
 core est à jour;
 extra                    452,3K  445,6K/s 00:00:01 [##############################################] 100%
 community                366,1K  433,5K/s 00:00:01 [##############################################] 100%
 archlinuxfr est à jour;
:: Début de la mise à jour complète du système...
:: Remplacer procinfo par core/procinfo-ng ? [O/n] o
Résolution des dépendances...
Recherche des conflits possibles entre paquets...
Erreur: la préparation de la transaction a échoué (la satisfaction des dépendances a échoué)
:: broadcom-wl: requiert kernel26<2.6.33
Par conséquent je voudrais voir ce qu'il en est avec Shaman mais celui-ci ne démarre plus... Voilà le resultat:

Code : Tout sélectionner

shaman
Constructing Backend singleton 
reloading 
[xxx@xxx-desktop ~]$ Handling libalpm in a separate Thread 
Initializing 
Checking  "community" 
KCrash: Application 'shaman' crashing...
sock_file=/home/trancelover/.kdemod4/socket-trancelover-desktop/kdeinit4__0
shaman: Fatal IO error: client killed
Je ne sais absolument pas à quoi cela correspond et je ne sais pas comment mettre à jour mon système. Je vous remercie pour votre aide.

benjarobin
Maître du Kyudo
Messages : 15475
Inscription : sam. 30 mai 2009, 15:48
Localisation : Lyon

Re: [Shaman] Ne démarre plus

Message par benjarobin » sam. 01 mai 2010, 21:20

Le message et pourtant clair:
broadcom-wl: requiert kernel26<2.6.33
Met a jour d'abord broadcom-wl
yaourt -S broadcom-wl
Et tout devrai remarcher.
Sinon que donne uname -a Car si tu as un kernel plus vieux que 2.6.29 il va falloir forcer la mise a jour et surtout ne pas redémarrer entre les 2
Sinon pour Shaman, personnellement il n'a jamais marché correctement, et comme la console me suffit, je l'ai desinstallé
Zsh | KDE | PC fixe : core i7, carte nvidia | Portable : Asus ul80vt
Titre d'un sujet : [Thème] Sujet (état)

Avatar de l’utilisateur
Ypnose
Maître du Kyudo
Messages : 1363
Inscription : sam. 01 mai 2010, 13:17
Contact :

Re: [Shaman] Ne démarre plus

Message par Ypnose » sam. 01 mai 2010, 21:46

Merci de m'aider

Code : Tout sélectionner

uname -a
Linux trancelover-desktop 2.6.32-ARCH #1 SMP PREEMPT Sun Mar 21 13:03:23 UTC 2010 i686 Intel(R) Pentium(R) 4 CPU 3.20GHz GenuineIntel GNU/Linux
En parlant de yaourt d'ailleurs, je l'ai bien installé. J'ai vu qu'on devait rajouter des lignes dans sudoers pour l'utiliser sans être root mais je sais pas trop où les écrire dans le fichier...

Désolé mais je suis nouveau sous Arch donc il me manque certains automatismes.

benjarobin
Maître du Kyudo
Messages : 15475
Inscription : sam. 30 mai 2009, 15:48
Localisation : Lyon

Re: [Shaman] Ne démarre plus

Message par benjarobin » sam. 01 mai 2010, 22:04

Tu créera un autre topic pour cela, fait juste yaourt -S broadcom-wl en tant que user et tout devrai marcher ensuite. Par défaut il n'y a rien à configurer et sudo est optionnel
Zsh | KDE | PC fixe : core i7, carte nvidia | Portable : Asus ul80vt
Titre d'un sujet : [Thème] Sujet (état)

Avatar de l’utilisateur
Ypnose
Maître du Kyudo
Messages : 1363
Inscription : sam. 01 mai 2010, 13:17
Contact :

Re: [Shaman] Ne démarre plus

Message par Ypnose » sam. 01 mai 2010, 22:13

J'ai fait ce que tu m'as dit mais il y a une erreur apparemment:

Code : Tout sélectionner

First Submitted: Mon, 01 Sep 2008 18:22:27 +0000
broadcom-wl 5.60.48.36-2 : Broadcom 802.11abg networking drivers
( Paquetage non supporté: Potentiellement dangereux ! )
==>  Editer PKGBUILD ? [O/n] ("A" pour annuler)
==>   ----------------------------------------------
==>n


==> Dépendances de broadcom-wl
 - kernel26 (déjà installé)
 - kernel26-headers (déjà installé)
==>  Editer install ? [O/n] ("A" pour annuler)
==>   ----------------------------------------------
==>n

==>  Continuer la compilation de broadcom-wl? [O/n]
==>   ----------------------------------------------
==>o


==> Installation ou compilation des dépendances de broadcom-wl:
==> Compilation et installation du paquetage

==> Dépendances de broadcom-wl
 - kernel26 (déjà installé)
 - kernel26-headers (déjà installé)
==> Création du paquet broadcom-wl 5.60.48.36-2 i686 (sam. mai  1 22:10:08 CEST 2010)
==> Vérification des dépendances...
==> Vérification des dépendances pour la compilation...
==> Récupération des sources...
  -> hybrid-portsrc-x86_32-v5.60.48.36.tar.gz trouvé dans le répertoire de compilation
==> Validation des fichiers sources avec md5sums...
    hybrid-portsrc-x86_32-v5.60.48.36.tar.gz ... Réussite
==> Extraction des sources...
  -> Extraction de hybrid-portsrc-x86_32-v5.60.48.36.tar.gz avec bsdtar
==> Suppression du répertoire pkg/ existant...
==> Début de la compilation...
make: *** /lib/modules/2.6.32-ARCH/build: Aucun fichier ou dossier de ce type. Arrêt.
==> ERREUR: La compilation a échoué.
    Abandon...
Error: Makepkg n'a pas pu construire le paquetage broadcom-wl.

benjarobin
Maître du Kyudo
Messages : 15475
Inscription : sam. 30 mai 2009, 15:48
Localisation : Lyon

Re: [Shaman] Ne démarre plus

Message par benjarobin » sam. 01 mai 2010, 22:22

Tu as bien le dossier /lib/modules/2.6.32-ARCH/ et le dossier /usr/src/linux-2.6.32-ARCH/ ?
Si oui en root

Code : Tout sélectionner

cd /lib/modules/2.6.32-ARCH/
ln -s ../../../usr/src/linux-2.6.32-ARCH build
Bon je dis que si tu n'as pas besoin du wifi ou carrément de broadcom-wl désinstalle le.
Met tout a jour et si tu en as vraiment besoin réinstalle le avec AUR.
Car je crains que tu possède kernel26-headers du kernel .33 (je ne comprend pas pourquoi kernel26-headers ne requière pas une version spécifique du kernel)
Zsh | KDE | PC fixe : core i7, carte nvidia | Portable : Asus ul80vt
Titre d'un sujet : [Thème] Sujet (état)

Avatar de l’utilisateur
Ypnose
Maître du Kyudo
Messages : 1363
Inscription : sam. 01 mai 2010, 13:17
Contact :

Re: [Shaman] Ne démarre plus (Résolu)

Message par Ypnose » dim. 02 mai 2010, 21:35

Bon j'ai fait un tour sur le forum Chakra Project et il est demandé de supprimer broadcom-wl (tu as raison) si il n'est pas utilisé. Je l'ai fais.

Aprés les mises à jours se déroulent Finger In The Nose.

Verrouillé